b1akcr0w

Having Trouble getting WAMA to work

Recommended Posts

Hi,

Setup:

P3d v4.4

Win10

Purchased From Just Flight, Version reports as 1.16 b03

Problem: 

I can't get WAMA to connect to the database. The is a screenshot of where I'm at:

Screenshot of WAMA Problem

I've tried starting WAMA as admin, that has no effect. I had to create WAMA_Position_DB.xml manually because it wasn't present after installation, and that fixed one error I was getting, but I still isn't right. 

Here is a screenshot of the WhereAreMyAircraft_P3D_V4 Files directory...

https://imgur.com/wFupr3s

As you can see, it creates the backups, but not much else. 

Help!

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Posted (edited)
24 minutes ago, b1akcr0w said:

I can't get WAMA to connect to the database.

Sorry, I'm not sure that I understand the question. The "Connect" button connects the app to the running simulator (and not to the database, that happens in the background on startup). WAMA must be connnected to the sim before anything else works. You cannot use it "offline".

To avoid problems with the sqlite database, make sure to install both of the vcredist packages (32 and 64 bit).

Best regards

 

Edited by Lorby_SI

Share this post


Link to post
Share on other sites

Hi Oliver,

Sorry, I meant to say Simulator, must have database on the brain. Just to clarify; I have P3d open with an aircraft sitting at the gate with the parking brake on. WAMA is installed on the same machine as the Sim, and I have other add-one using simconnect to talk to P3D. But when I click connect, Nothing happens and I can't get the features to work.

I've just ran both vcredist packages, rebooted, restarted P3d and tried again, but no joy yet.

Alistair

Share this post


Link to post
Share on other sites
Posted (edited)

Hi,

that is odd. This usually only happens when you run a higher version of WAMA with a lower simulator version (like 4.4 WAMA and 4.3 sim). Did you use the WAMA P3D_44 installer - and if you did, are you sure that your sim is really the 4.4 version?

I can see in your screenshot that there are WAMA logfiles. Please send me those via email, address is on the last page of the manual. And please include a proof of purchase when you do.

Best regards

Edited by Lorby_SI

Share this post


Link to post
Share on other sites

Well don't I feel stupid? Found that due to a silly mistake in my backup routine, I had 4.3 installed when I thought I had 4.4! That's corrected now and everything seems to be working perfectly!

Thanks for your time, much appreciated!

Alistair

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now